MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001130XdebugUsage problems (Wrong Results)public2015-03-19 12:552015-06-13 10:45
Reporterfwendt 
Assigned Toderick 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinux x86OSUbuntuOS Version12.04
Product Version2.3.1 
Target VersionFixed in Version2.3.3 
Summary0001130: PHP documentation links to local manual reference are broken at title description
DescriptionTaking back the issue 0000811 :)

When activating php.ini directives 'docref_root = "/phpmanual/"' and 'docref_ext = .html' (and maybe some other related), the Xbug web page prints HTML code instead of making the linkage to reference at main title description.


Steps To Reproduce1 - Edit you 'php.ini' configuration file, taking a look at the following directives:

a)'docref_root': points to your local webserver downloaded documentation docs pages from PHP website (something like '/phpmanual/');

b)'docref_ext': set file extension at doc files (usually, '.html').

2 - Ensure Xdebug is enable and operating at you devmachine;

3 - Restart your webserver;

4 - Create some buggy file (code mistake);

5 - Browse to your buggy file to see the linkage string at main issue table title.
Additional InformationAll package and components have been compiled from sources (PHP, extensions, Apache and Xdebug). None pre-build package was used.
TagsNo tags attached.
Operating SystemGNU-Linux Ubuntu 12.04 x86
PHP Version5.6-dev
Attached Filesjpg file icon xdebug-docrefroot.jpg [^] (40,855 bytes) 2015-03-19 12:55

- Relationships

-  Notes
(0003115)
derick (administrator)
2015-06-13 10:45

Fixed for Xdebug 2.3.3 and 3.0.0dev, it required quite an ugly hack :-). Thanks for your report!

- Issue History
Date Modified Username Field Change
2015-03-19 12:55 fwendt New Issue
2015-03-19 12:55 fwendt File Added: xdebug-docrefroot.jpg
2015-06-13 10:45 derick Note Added: 0003115
2015-06-13 10:45 derick Status new => closed
2015-06-13 10:45 derick Assigned To => derick
2015-06-13 10:45 derick Resolution open => fixed
2015-06-13 10:45 derick Fixed in Version => 2.3.3
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker